audio/alsa-utils - The NetBSD Packages Collection

Advanced Linux Sound Architecture (ALSA) CLI utilities

The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features:

    * Efficient support for all types of audio interfaces, from consumer sound
      cards to professional multichannel audio interfaces.
    * Fully modularized sound drivers.
    * SMP and thread-safe design.
    * User space library (alsa-lib) to simplify application programming and
      provide higher level functionality.
    * Support for the older Open Sound System (OSS) API, providing binary
      compatibility for most OSS programs.

This package provides utilities for configuring and using ALSA.

Build dependencies

textproc/xmlto pkgtools/cwrappers devel/gmake textproc/gsed devel/pkgconf

Runtime dependencies

shells/bash audio/alsa-lib devel/libepoll-shim devel/libinotify devel/ncurses math/fftw devel/ncurses math/fftw

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfalsa-utils-1.2.5.1.tgz
NetBSD 8.0earmv7hfalsa-utils-1.1.1nb1.tgz
NetBSD 8.0earmv7hfalsa-utils-1.2.4.tgz
NetBSD 8.0i386alsa-utils-1.1.1nb1.tgz
NetBSD 8.0i386alsa-utils-1.2.4.tgz
NetBSD 8.0powerpcalsa-utils-1.2.4.tgz
NetBSD 8.0powerpcalsa-utils-1.2.4.tgz
NetBSD 8.0powerpcalsa-utils-1.2.5.1.tgz
NetBSD 8.0x86_64alsa-utils-1.1.1nb1.tgz
NetBSD 8.0x86_64alsa-utils-1.2.4.tgz
NetBSD 9.0aarch64alsa-utils-1.2.5.1.tgz
NetBSD 9.0aarch64alsa-utils-1.1.1nb1.tgz
NetBSD 9.0aarch64alsa-utils-1.2.4.tgz
NetBSD 9.0alphaalsa-utils-1.2.5.1.tgz
NetBSD 9.0alphaalsa-utils-1.1.1nb1.tgz
NetBSD 9.0alphaalsa-utils-1.2.4.tgz
NetBSD 9.0earmv6hfalsa-utils-1.2.5.1.tgz
NetBSD 9.0earmv6hfalsa-utils-1.1.1nb1.tgz
NetBSD 9.0earmv6hfalsa-utils-1.2.4.tgz
NetBSD 9.0earmv7hfalsa-utils-1.2.5.1.tgz
NetBSD 9.0earmv7hfalsa-utils-1.1.1nb1.tgz
NetBSD 9.0earmv7hfalsa-utils-1.2.4.tgz
NetBSD 9.0earmv7hfalsa-utils-1.2.5.1.tgz
NetBSD 9.0i386alsa-utils-1.1.1nb1.tgz
NetBSD 9.0i386alsa-utils-1.2.4.tgz
NetBSD 9.0mips64ebalsa-utils-1.2.4.tgz
NetBSD 9.0powerpcalsa-utils-1.2.4.tgz
NetBSD 9.0powerpcalsa-utils-1.2.4.tgz
NetBSD 9.0powerpcalsa-utils-1.2.5.1.tgz
NetBSD 9.0sparc64alsa-utils-1.2.4.tgz
NetBSD 9.0sparc64alsa-utils-1.2.5.1.tgz
NetBSD 9.0sparcalsa-utils-1.2.4.tgz
NetBSD 9.0x86_64alsa-utils-1.2.5.1.tgz
NetBSD 9.0x86_64alsa-utils-1.1.1nb1.tgz
NetBSD 9.0x86_64alsa-utils-1.2.4.tgz
NetBSD 9.0x86_64alsa-utils-1.2.5.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.